CMPIINSTANCE(3)

NAME
CMPIInstance - CMPIInstance class implementation

SYNOPSIS

  Public Attributes
int void * hdl
Opaque pointer to class instance data.
CMPIInstanceFT * ft
Pointer to the Args Function Table.

METHODS
CMPIStatus(* release )(CMPIInstance *inst)
The Instance object will not be used any further and may be freed by CMPI run time system.
CMPIInstance *(* clone )(CMPIInstance *inst, CMPIStatus *rc)
Create an independent copy of this Instance object.
CMPIData(* getProperty )(CMPIInstance *inst, const char *name, CMPIStatus *rc)
Gets a named property value.
CMPIData(* getPropertyAt )(CMPIInstance *inst, unsigned int index, CMPIString **name, CMPIStatus *rc)
Gets a Property value defined by its index.
unsigned int(* getPropertyCount )(CMPIInstance *inst, CMPIStatus *rc)
Gets the number of properties contained in this Instance.
CMPIStatus(* setProperty )(CMPIInstance *inst, const char *name, CMPIValue *value, CMPIType type)
Adds/replaces a named Property.
CMPIObjectPath *(* getObjectPath )(CMPIInstance *inst, CMPIStatus *rc)
Generates an ObjectPath out of the namespace, classname and key propeties of this Instance.
CMPIStatus(* setPropertyFilter )(CMPIInstance *inst, char **propertyList, char **keys)
Directs CMPI to ignore any setProperty operations for this instance for any properties not in this list.

DESCRIPTION

Native CMPIInstance implementation.

This is the native CMPIInstance implementation as used for remote providers. It reflects the well-defined interface of a regular CMPIInstance, however, it works independently from the management broker.

It is part of a native broker implementation that simulates CMPI data types rather than interacting with the entities in a full-grown CIMOM.

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup